// vertex shader for plugin textures

const vec4 fc = vec4(0.0,0.0,1.0,1.0);

varying vec3 tnorm;
varying vec4 PP;
varying vec3 texpos;

varying vec3 uvec;
varying vec3 vvec;
varying vec3 wvec;

uniform vec3 Uvector;        
uniform vec3 Vvector;        
uniform vec3 Wvector;        

attribute vec3 ShaderPosition;   // vertex shader coordinate 


void main(void){
    // copy the vertex position
    // compute the transformed normal
    tnorm           = gl_NormalMatrix * gl_Normal ;
    gl_Position     = ftransform(); 
    PP              = gl_ModelViewMatrix * gl_Vertex;	
    texpos            = ShaderPosition;
    vvec            = normalize(gl_NormalMatrix * Vvector);
    wvec            = normalize(gl_NormalMatrix * Wvector);
    uvec            = normalize(gl_NormalMatrix * Uvector);
    gl_FrontColor   = gl_Color;    
    gl_BackColor    = gl_Color;    
}
